<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2006 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/site.php";
include_once "$theme/theme.php";

$database = site_prolog();

if ($po_user['type'] < $user_type['client']) {
  site_epilog($database);
  header("location: login.php");
  exit();
}

$album_caption       = pg_escape_string($_REQUEST['album_caption']);
$album_description   = pg_escape_string($_REQUEST['album_description']);
$album_access_rights = pg_escape_string($_REQUEST['album_access_rights']);
$album_parent        = pg_escape_string($_REQUEST['parent']);

if (!$album_parent) {
  $album_parent = "null";
 } else {
  if ($po_user['type'] < $user_type['administrator']) {
    $result = pg_query($database, "select identifier from album where identifier='$album_parent' and users = $po_user[id]");
    if (pg_num_rows($result) <= 0) {
      site_epilog($database);
      header("location: login.php");
      exit();
    }
  }
 }

global $default_order_by;

if ($album_caption != "") {
  $album_type = $po_user['type'] > $user_type['client'] ? "u" : "c";
  $result = pg_query($database, "insert into album (identifier, users, caption, description, date_of_creation, access_rights, type, orderby, parent_album)
                                            values (nextval('album_id_sequence'),
'$po_user[id]', '$album_caption', '$album_description', now(), '$album_access_rights', '$album_type', $default_order_by, $album_parent)");
  if (!$result) {
    // print "Failed to create new album: $album_caption";
    exit();
  }
}

site_epilog($database);
if ($album_parent == "null") {
  header("location: my.folder.php");
} else {
  header("location: album.php?album=$album_parent");
}
?>
