<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2006 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/site.php";
include_once "$theme/theme.php";
include_once "include/common.php";

$database   = site_prolog();

if ($po_user['type'] < $user_type['user']) {
  site_epilog($database);
  header("location: login.php");
  exit();
}

$event  = pg_escape_string($_REQUEST['event']);
$event_data = pg_fetch_row(pg_query($database, "select start_date, end_date, remark from calendar where users='$po_user[id]' and identifier='$event'"));
$year  = (int)substr($event_data[0], 0, 4);
$month = (int)substr($event_data[0], 5, 2);
$day   = (int)substr($event_data[0], 8, 2);

$timestamp = mktime(12, 0, 0, $month, $day, $year);
$date = getdate($timestamp);
$dayNameIndex = $date["wday"];
$calendar_view = $_REQUEST['view'];

$CR = chr(13);

$event_data[2] = str_replace("$CR$CR", "<p>", "$event_data[2]");
$event_data[2] = str_replace("$CR", "<br/>", "$event_data[2]");

site_header($page_width, "Display Event");
site_navigator(8);
site_navigator_status("<a href=\"user.php\">Users</a> : <a href=\"my.datebook.php\">My Date Book</a> : Event details", "");

print "&nbsp;<br/>";
print "<table cellspacing=\"1\" cellpadding=\"3\" border=\"0\" bgcolor=\"$color[table_background]\" width=\"100%\">\n";
print "<tr><td align=\"right\" valign=\"top\" bgcolor=\"$color[table_header]\"  width=\"25%\" nowrap>Date</td>   <td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"75%\"><a href=my.datebook.php?view=1&amp;year=$year&amp;month=$month&amp;day=$day>$dayNames[$dayNameIndex], $monthNames[$month] $day, $year</a></td></tr>\n";
print "<tr><td align=\"right\" valign=\"top\" bgcolor=\"$color[table_header]\"  width=\"25%\" nowrap>Time</td>   <td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"75%\">".generate_date_html($event_data[0], "time", 0)."-".generate_date_html($event_data[1], "time", 0)."</td></tr>\n";
print "<tr><td align=\"right\" valign=\"top\" bgcolor=\"$color[table_header]\"  width=\"25%\" nowrap>Remark</td> <td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"75%\">$event_data[2]</td></tr>\n";
print "</table>\n";

print "&nbsp;<br/>";
print "<table cellspacing=\"1\" cellpadding=\"3\" border=\"0\" width=\"100%\"><tr><td align=\"center\">\n";
print "<a class=\"nodecor\" href=\"my.datebook.php?year=$year&amp;month=$month&amp;day=$day&view=$calendar_view\"><img src=\"$theme/button.back.gif\" border=\"0\" alt=\"Back\"/></a>\n";
print "<a class=\"nodecor\" href=\"event.edit.php?event=$event\"><img src=\"$theme/button.edit.gif\" border=\"0\" alt=\"Edit\"/></a>\n";
print "<a class=\"nodecor\" href=\"event.del.php?event=$event\"><img src=\"$theme/button.delete.gif\" border=\"0\" alt=\"Delete\"/></a>\n";
print "</td></tr></table>\n";

print "&nbsp;<br/>";
site_footer($database);
site_epilog($database);
?>
