<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2006 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

/* we have to start from 1 otherwise POST will not pass the 0 values and we end up in a mess */
$order_by_string = array ("1"  => array ("rating asc",                             "Rating &raquo;"),
                          "2"  => array ("rating desc",                            "Rating &laquo;"),
                          "3"  => array ("photo.views asc",                        "Number of views &raquo;"),
                          "4"  => array ("photo.views desc",                       "Number of views &laquo;"),
                          "5"  => array ("photo_version.date_of_creation asc",     "Creation date &raquo;"),
                          "6"  => array ("photo_version.date_of_creation desc",    "Creation date &laquo;"),
                          "7"  => array ("photo.date_of_exposure asc",             "Exposure date &raquo;"),
                          "8"  => array ("photo.date_of_exposure desc",            "Exposure date &laquo;"),
                          "9"  => array ("photo_version.original_image_name asc",  "Original file name &raquo;"),
                          "10" => array ("photo_version.original_image_name desc", "Original file name &laquo;"),
                          "11" => array ("photo.caption asc",                      "Caption &raquo;"),
                          "12" => array ("photo.caption desc",                     "Caption &laquo;"),
                          "13" => array ("photo.title asc",                        "Title &raquo;"),
                          "14" => array ("photo.title desc",                       "Title &laquo;"),
			  "15" => array ("photo.identifier asc",                   "Order added &raquo;"),
			  "16" => array ("photo.identifier desc",                  "Order added &laquo;"));

function display_order_by_combo($order_by) {
  global $style;
  global $theme;
  global $order_by_string;

  print "<select name=\"order_by\">\n";
  for ($i = 1; $i <= count($order_by_string); $i++) {
    $string = $order_by_string[$i][1];
    if ($i == $order_by)
      print "<option value=\"$i\" selected>$string</option>\n";
    else
      print "<option value=\"$i\" >$string</option>\n";
  }
  print "</select>\n";
}

function display_order_by_combo_with_button($order_by) {
  global $style;
  global $theme;
  global $order_by_string;

  print "<table>\n<tr>\n<td align=\"left\" valign=\"middle\" >\n";
  print "<input type=\"image\" src=\"$theme/button.order.by.gif\" value=\"Order by\"/>\n";
  print "</td>\n<td align=\"left\" valign=\"middle\" >\n";
  display_order_by_combo($order_by);
  print "</td></tr>";
  print "</table>";
}

function display_order_by_combo_for_photo($order_by, $album_id, $previous, $current, $next, $detail_info) {
  global $style;
  global $theme;
  global $order_by_string;

  $option = "";

  /* check if photo is alone in the folder */
  if (($current == $next) && ($current == $previous))
    return;

  if ($album_id)
    $option = "&amp;album=$album_id";

  print "<table cellspacing=\"0\" cellpadding=\"0\" border=\"0\">\n<tr>\n";
  if ($current != $previous) {
    print "<td align=\"left\" valign=\"middle\">\n";
    print "<a class=\"nodecor\" href=\"photo.php?photo=$previous&amp;order_by=$order_by&amp;detail_info=$detail_info$option\"><img src=\"$theme/button.previous.gif\" border=\"0\" title=\"Previous photo\"/></a>\n";
    print "</td>\n";
  }
  print "<td align=\"left\" valign=\"middle\">\n";
  print "<select onchange=\"location = this.options[this.selectedIndex].value;\" title=\"Select an order critera\">\n";
  for ($i = 1; $i <= count($order_by_string); $i++) {
    $string = $order_by_string[$i][1];
    if ($i == $order_by)
      print "<option value=\"photo.php?photo=$current&amp;order_by=$i$option\" selected>$string</option>";
    else
      print "<option value=\"photo.php?photo=$current&amp;order_by=$i$option\">$string</option>";
  }
  print "</select>";
  print "</td>";
  if ($current != $next) {
    print "<td align=\"left\" valign=\"middle\">\n";
    print "<a class=\"nodecor\" href=\"photo.php?photo=$next&amp;order_by=$order_by&amp;detail_info=$detail_info$option\"><img src=\"$theme/button.next.gif\" border=\"0\" title=\"Next photo\"/></a>\n";
    print "</td>\n";
  }
  print "</tr>\n</table>";
}

?>
