<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2006 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/color.php";
include_once "include/settings.php";
include_once "$theme/theme.php";
include_once "include/common.php";
include_once "include/profile.php";
include_once "include/site.php";

$database = site_prolog();

if ($po_user['type'] < $user_type['client']) {
  site_epilog($database);
  header("location: login.php");
  exit();
}

$selector = $_REQUEST['selector'];
if (!$selector) {
  $selector = 1;
}

$registrsation_error = 0;

$save_settings                = $_REQUEST['save_settings'];
$username                     = $_REQUEST['username'];
$password_1                   = $_REQUEST['password_1'];
$password_2                   = $_REQUEST['password_2'];
$first_name                   = $_REQUEST['first_name'];
$last_name                    = $_REQUEST['last_name'];
$company                      = $_REQUEST['company'];
$contact_info_id              = $_REQUEST['contact_info_id'];
$preferences_id               = $_REQUEST['preferences_id'];
$im_options_id                = $_REQUEST['im_options_id'];
$im_composite_options_id      = $_REQUEST['im_composite_options_id'];
$dcraw_options_id             = $_REQUEST['dcraw_options_id'];
$address1                     = $_REQUEST['address1'];
$address2                     = $_REQUEST['address2'];
$city                         = $_REQUEST['city'];
$zipcode                      = $_REQUEST['zipcode'];
$state                        = $_REQUEST['state'];
$country                      = $_REQUEST['country'];
$email                        = $_REQUEST['email'];
$url                          = $_REQUEST['url'];
$phone                        = $_REQUEST['phone'];
$print_out                    = $_REQUEST['print_out'];
$paper                        = $_REQUEST['paper'];
$label                        = $_REQUEST['label'];
$start_hour                   = $_REQUEST['start_hour'];
$end_hour                     = $_REQUEST['end_hour'];
$download_counter             = $_REQUEST['download_counter'];
$download_expiry_period       = $_REQUEST['download_expiry_period'];
$start_day                    = $_REQUEST['start_day'];
$num_of_columns               = $_REQUEST['num_of_columns'];
$num_of_rows                  = $_REQUEST['num_of_rows'];
$folder_view                  = $_REQUEST['folder_view'];
$num_of_rows_l                = $_REQUEST['num_of_rows_l'];
$type                         = $_REQUEST['type'];
$popup_enable                 = $_REQUEST['popup_enable'];

if ($popup_enable != 'f') {
  $popup_delay = $popup_enable;
  $popup_enable = 't';
}
else {
  $popup_delay = 0;
}

$im_preview_quality           = $_REQUEST['im_preview_quality'];
$im_preview_color_space       = $_REQUEST['im_preview_color_space'];
$im_preview_gamma             = $_REQUEST['im_preview_gamma'];
$im_preview_sharpen_radius    = $_REQUEST['im_preview_sharpen_radius'];
$im_preview_sharpen_sigma     = $_REQUEST['im_preview_sharpen_sigma'];
$im_preview_sharpen_amount    = $_REQUEST['im_preview_sharpen_amount'];
$im_preview_sharpen_threshold = $_REQUEST['im_preview_sharpen_threshold'];
$im_preview_border_width      = $_REQUEST['im_preview_border_width'];
$im_preview_border_height     = $_REQUEST['im_preview_border_height'];
$im_preview_border_color      = $_REQUEST['im_preview_border_color'];

$im_thumb_quality             = $_REQUEST['im_thumb_quality'];
$im_thumb_color_space         = $_REQUEST['im_thumb_color_space'];
$im_thumb_gamma               = $_REQUEST['im_thumb_gamma'];
$im_thumb_sharpen_radius      = $_REQUEST['im_thumb_sharpen_radius'];
$im_thumb_sharpen_sigma       = $_REQUEST['im_thumb_sharpen_sigma'];
$im_thumb_sharpen_amount      = $_REQUEST['im_thumb_sharpen_amount'];
$im_thumb_sharpen_threshold   = $_REQUEST['im_thumb_sharpen_threshold'];
$im_thumb_border_width        = $_REQUEST['im_thumb_border_width'];
$im_thumb_border_height       = $_REQUEST['im_thumb_border_height'];
$im_thumb_border_color        = $_REQUEST['im_thumb_border_color'];

$im_watermark_brightness      = $_REQUEST['im_watermark_brightness'];
$im_watermark_location        = $_REQUEST['im_watermark_location'];

$dcraw_gamma                  = $_REQUEST['dcraw_gamma'];
$dcraw_brightness             = $_REQUEST['dcraw_brightness'];
$dcraw_white_balance          = $_REQUEST['dcraw_white_balance'];
$dcraw_bitdepth               = $_REQUEST['dcraw_bitdepth'];

$search_engine_type           = $_REQUEST['search_engine_type'];
$search_enable_stemming       = $_REQUEST['search_enable_stemming'];

if (!$im_preview_quality)           $im_preview_quality           = 0;
if (!$im_preview_color_space)       $im_preview_color_space       = $default_im_preview_color_space;
if (!$im_preview_gamma)             $im_preview_gamma             = $default_im_preview_gamma;
if (!$im_preview_sharpen_radius)    $im_preview_sharpen_radius    = 0;
if (!$im_preview_sharpen_sigma)     $im_preview_sharpen_sigma     = 0;
if (!$im_preview_sharpen_amount)    $im_preview_sharpen_amount    = 0;
if (!$im_preview_sharpen_threshold) $im_preview_sharpen_threshold = 0;
if (!$im_preview_border_width)      $im_preview_border_width      = $default_im_preview_border_width;
if (!$im_preview_border_height)     $im_preview_border_height     = $default_im_preview_border_height;
if (!$im_preview_border_color)      $im_preview_border_color      = $default_im_preview_border_color;

if (!$im_thumb_quality)             $im_thumb_quality             = 0;
if (!$im_thumb_color_space)         $im_thumb_color_space         = $default_im_thumb_color_space;
if (!$im_thumb_gamma)               $im_thumb_gamma               = $default_im_thumb_gamma;
if (!$im_thumb_sharpen_radius)      $im_thumb_sharpen_radius      = 0;
if (!$im_thumb_sharpen_sigma)       $im_thumb_sharpen_sigma       = 0;
if (!$im_thumb_sharpen_amount)      $im_thumb_sharpen_amount      = 0;
if (!$im_thumb_sharpen_threshold)   $im_thumb_sharpen_threshold   = 0;
if (!$im_thumb_border_width)        $im_thumb_border_width        = $default_im_thumb_border_width;
if (!$im_thumb_border_height)       $im_thumb_border_height       = $default_im_thumb_border_height;
if (!$im_thumb_border_color)        $im_thumb_border_color        = $default_im_thumb_border_color;

if (!$im_watermark_brightness)      $im_watermark_brightness      = $default_im_watermark_brightness;
if (!$im_watermark_location)        $im_watermark_location        = $default_im_watermark_location;

if (!$dcraw_gamma)                  $dcraw_gamma                  = $default_dcraw_gamma;
if (!$dcraw_brightness)             $dcraw_brightness             = $default_dcraw_brightness;
if (!$dcraw_white_balanace)         $dcraw_white_balanace         = $default_dcraw_white_balanace;
if (!$dcraw_bitdepth)               $dcraw_bitdepth               = $default_dcraw_bitdepth;

if (!$paper) $paper = $default_paper;
if (!$label) $label = $default_label;

$all_states    = pg_query($database, "select identifier, value from state order by value");
$all_countries = pg_query($database, "select identifier, value from country order by value");
$all_papers = pg_query($database, "select identifier, name from paper");
$all_labels = pg_query($database, "
    select label.identifier,
           (select name from manufacturer where identifier=label.manufacturer),
           label.name, paper.name
      from label, paper
     where label.paper=paper.identifier");

if ($save_settings != "true") {
  $user_data = pg_fetch_row(pg_query($database, "select username, password, first_name, last_name, company, contact, preferences, imagemagick_options, imagemagick_composite_options, dcraw_options, type from users where identifier='$po_user[id]'"));
  $username                   = $user_data[0];
  $password_1                 = $user_data[1];
  $password_2                 = $user_data[1];
  $first_name                 = $user_data[2];
  $last_name                  = $user_data[3];
  $company                    = $user_data[4];
  $contact_info_id            = $user_data[5];
  $preferences_id             = $user_data[6];
  $im_options_id              = $user_data[7];
  $im_composite_options_id    = $user_data[8];
  $dcraw_options_id           = $user_data[9];
  $type                       = $user_data[10];

  $contact_info = pg_fetch_row(pg_query($database, "select address1, address2, city, zipcode, state, country, phone, email, url from contact_info where identifier='$contact_info_id'"));
  $address1                   = $contact_info[0];
  $address2                   = $contact_info[1];
  $city                       = $contact_info[2];
  $zipcode                    = $contact_info[3];
  $state                      = $contact_info[4];
  $country                    = $contact_info[5];
  $phone                      = $contact_info[6];
  $email                      = $contact_info[7];
  $url                        = $contact_info[8];

  $preferences = pg_fetch_row(pg_query($database, "
    select print_out, start_hour, end_hour, start_day, num_of_rows, num_of_columns,
           folder_view, num_of_rows_l, paper, label, popup_enable, popup_delay, search_enable_stemming,
           search_default_mode, download_counter, download_expiry_period
      from preferences
     where identifier=$preferences_id"));

  $print_out                  = $preferences[0];
  $start_hour                 = $preferences[1];
  $end_hour                   = $preferences[2];
  $start_day                  = $preferences[3];
  $num_of_rows                = $preferences[4];
  $num_of_columns             = $preferences[5];
  $folder_view                = $preferences[6];
  $num_of_rows_l              = $preferences[7];
  $paper                      = $preferences[8];
  $label                      = $preferences[9];
  $popup_enable               = $preferences[10];
  $popup_delay                = $preferences[11];
  $search_enable_stemming     = $preferences[12];
  $search_engine_type         = $preferences[13];
  $download_counter           = $preferences[14];
  $download_expiry_period     = $preferences[15];

  $imagemagick_options = pg_fetch_row(pg_query($database, "
    select preview_quality, preview_colorspace, preview_gamma,
           preview_sharpen_radius, preview_sharpen_sigma,
           preview_sharpen_amount, preview_sharpen_threshold,
           preview_border_width, preview_border_height, preview_border_color,
           thumb_quality, thumb_colorspace, thumb_gamma,
           thumb_sharpen_radius, thumb_sharpen_sigma,
           thumb_sharpen_amount, thumb_sharpen_threshold,
           thumb_border_width, thumb_border_height, thumb_border_color
      from imagemagick_options
     where identifier=$im_options_id"));

  $im_preview_quality           = $imagemagick_options[0];
  $im_preview_color_space       = $imagemagick_options[1];
  $im_preview_gamma             = $imagemagick_options[2];
  $im_preview_sharpen_radius    = $imagemagick_options[3];
  $im_preview_sharpen_sigma     = $imagemagick_options[4];
  $im_preview_sharpen_amount    = $imagemagick_options[5];
  $im_preview_sharpen_threshold = $imagemagick_options[6];
  $im_preview_border_width      = $imagemagick_options[7];
  $im_preview_border_height     = $imagemagick_options[8];
  $im_preview_border_color      = $imagemagick_options[9];

  $im_thumb_quality             = $imagemagick_options[10];
  $im_thumb_color_space         = $imagemagick_options[11];
  $im_thumb_gamma               = $imagemagick_options[12];
  $im_thumb_sharpen_radius      = $imagemagick_options[13];
  $im_thumb_sharpen_sigma       = $imagemagick_options[14];
  $im_thumb_sharpen_amount      = $imagemagick_options[15];
  $im_thumb_sharpen_threshold   = $imagemagick_options[16];
  $im_thumb_border_width        = $imagemagick_options[17];
  $im_thumb_border_height       = $imagemagick_options[18];
  $im_thumb_border_color        = $imagemagick_options[19];

  $imagemagick_composite_options = pg_fetch_row(pg_query($database, "
    select gravity, watermark, (select photo from photo_version where identifier = imagemagick_composite_options.photo_version)
      from imagemagick_composite_options
     where imagemagick_composite_options.identifier=$im_composite_options_id"));

  $im_watermark_location      = $imagemagick_composite_options[0];
  $im_watermark_brightness    = $imagemagick_composite_options[1];
  $im_watermark_photo_version = $imagemagick_composite_options[2];

  $dcraw_options = pg_fetch_row(pg_query($database, "
    select gamma, brightness, white_balance, bitdepth
      from dcraw_options
     where dcraw_options.identifier = $dcraw_options_id"));

  $dcraw_gamma                = $dcraw_options[0];
  $dcraw_brightness           = $dcraw_options[1];
  $dcraw_white_balance        = $dcraw_options[2];
  $dcraw_bitdepth             = $dcraw_options[3];
}
else {
  switch ($selector) {
  case $settings_user_data['identification']['idx']:
    if (($password_2 != $password_1) || (($password_2 == "") && ($password_1 == ""))) {
      $registration_error = 1;
    }
    elseif (($first_name == "") || ($last_name == "")) {
      $registration_error = 3;
    }
    elseif ($email == "") {
      $registration_error = 4;
    }
    else {
      $result = pg_fetch_row(pg_query($database, "select identifier from users where username='$username' and identifier!='$po_user[id]'"));
      if ($result[0] != 0) {
        $registration_error = 2;
      }
      else {
        pg_query($database, "begin");
        $result = pg_query($database, "update contact_info set email='$email' where identifier=$contact_info_id");
        if (!$result) {
          pg_query($database, "rollback");
          site_epilog($database);
          header("location: my.settings.php?selector=".$settings_user_data['identification']['idx']);
          exit();
        }
        $result = pg_query($database, "update users set first_name = '$first_name', last_name = '$last_name', username = '$username', password = '$password_1'
                                       where identifier = $po_user[id]");
        if (!$result) {
          pg_query($database, "rollback");
          site_epilog($database);
          header("location: my.settings.php?selector=".$settings_user_data['identification']['idx']);
          exit();
        }
        pg_query($database, "commit");
      }
    }
    break;
  case $settings_user_data['contact']['idx']:
    pg_query($database, "begin");
    $result = pg_query($database, "update contact_info set address1='$address1', address2='$address2', city='$city',
                                   zipcode='$zipcode', state=$state, country=$country, phone='$phone', url='$url'
                                   where identifier=$contact_info_id");
    if (!$result) {
      pg_query($database, "rollback");
      site_epilog($database);
      header("location: my.settings.php?selector=".$settings_user_data['identification']['idx']);
      exit();
    }
    $result = pg_query($database, "update users set company='$company' where identifier=$po_user[id]");
    if (!$result) {
      pg_query($database, "rollback");
      site_epilog($database);
      header("location: my.settings.php?selector=".$settings_user_data['identification']['idx']);
      exit();
    }
    pg_query($database, "commit");
    break;
  case $settings_user_data['calendar']['idx']:
    $result = pg_query($database, "update preferences
                                      set start_hour='$start_hour',
                                          end_hour='$end_hour',
                                          start_day='$start_day',
                                          download_counter=$download_counter,
                                          download_expiry_period=$download_expiry_period
                                   where identifier=$preferences_id");
    break;
  case $settings_user_data['search']['idx']:
    $result = pg_query($database, "update preferences
                                      set search_enable_stemming = '$search_enable_stemming',
                                          search_default_mode = $search_engine_type
                                   where identifier=$preferences_id");
    break;
  case $settings_user_data['photo_browser']['idx']:
    $result = pg_query($database, "update preferences set num_of_rows='$num_of_rows', num_of_columns='$num_of_columns',
                                   folder_view='$folder_view', num_of_rows_l='$num_of_rows_l',
                                   popup_enable='$popup_enable', popup_delay=$popup_delay
                                   where identifier=$preferences_id");
    break;
  case $settings_user_data['photo_upload']['idx']:
    if ($type >= $user_type['user']) {
      pg_query($database, "begin");
      $result = pg_query($database, "update imagemagick_options set
                                     preview_quality = $im_preview_quality, preview_colorspace = '$im_preview_color_space', preview_gamma = $im_preview_gamma,
                                     preview_sharpen_radius = $im_preview_sharpen_radius, preview_sharpen_sigma = $im_preview_sharpen_sigma,
                                     preview_sharpen_amount = $im_preview_sharpen_amount, preview_sharpen_threshold = $im_preview_sharpen_threshold,
                                     preview_border_width = $im_preview_border_width, preview_border_height = $im_preview_border_height,
                                     preview_border_color = '$im_preview_border_color',
                                     thumb_quality = $im_thumb_quality, thumb_colorspace = '$im_thumb_color_space', thumb_gamma = $im_thumb_gamma,
                                     thumb_sharpen_radius = $im_thumb_sharpen_radius, thumb_sharpen_sigma = $im_thumb_sharpen_sigma,
                                     thumb_sharpen_amount = $im_thumb_sharpen_amount, thumb_sharpen_threshold = $im_thumb_sharpen_threshold,
                                     thumb_border_width = $im_thumb_border_width, thumb_border_height = $im_thumb_border_height,
                                     thumb_border_color = '$im_thumb_border_color'
                                     where identifier=$im_options_id");
      if (!$result) {
        pg_query($database, "rollback");
        site_epilog($database);
        header("location: my.settings.php?selector=".$settings_user_data['identification']['idx']);
        exit();
      }

      $result = pg_query($database, "update imagemagick_composite_options set
                                     gravity = '$im_watermark_location',
                                     watermark = $im_watermark_brightness
                                     where identifier = $im_composite_options_id");
      if (!$result) {
        pg_query($database, "rollback");
        site_epilog($database);
        header("location: my.settings.php?selector=".$settings_user_data['identification']['idx']);
        exit();
      }

      $result = pg_query($database, "update dcraw_options set
                                     gamma = $dcraw_gamma,
                                     brightness = $dcraw_brightness,
                                     white_balance = '$dcraw_white_balance',
                                     bitdepth = $dcraw_bitdepth
                                     where identifier= $dcraw_options_id");
      if (!$result) {
        pg_query($database, "rollback");
        site_epilog($database);
        header("location: my.settings.php?selector=".$settings_user_data['identification']['idx']);
        exit();
      }

      pg_query($database, "commit");
    }
    break;
  case $settings_user_data['printer']['idx']:
    if ($type >= $user_type['user']) {
      $result = pg_query($database, "update preferences set print_out='$print_out', label='$label', paper='$paper'
                                         where identifier=$preferences_id");
    }
  }
}

site_header($page_width, "Display Settings");
site_navigator(7);

switch ($registration_error) {
 case 1:
   site_navigator_status("<a href=\"user.php\">Users</a> : My Settings : <font color=\"red\">Password Mismatch<font>", "");
   break;
 case 2:
   site_navigator_status("<a href=\"user.php\">Users</a> : My Settings : <font color=\"red\">Username already in use<font>", "");
   break;
 case 3:
   site_navigator_status("<a href=\"user.php\">Users</a> : My Settings : <font color=\"red\">First name and and last name is mandatory.</font>", "");
   break;
 case 4:
   site_navigator_status("<a href=\"user.php\">Users</a> : My Settings : <font color=\"red\">Email is mandatory.</font>", "");
   break;
 default:
   site_navigator_status("<a href=\"user.php\">Users</a> : My Settings", "");
}


print "&nbsp;<br/>";

display_navigator_box_top($selector, $type >= $user_type['user'] ? $settings_user_data : $settings_client_data, "100%");

print "<form action=\"my.settings.php\" method=\"POST\">\n";
print "<input type=\"hidden\" name=\"user\"                    value=\"$po_user[id]\"/>\n";
print "<input type=\"hidden\" name=\"contact_info_id\"         value=\"$contact_info_id\"/>\n";
print "<input type=\"hidden\" name=\"preferences_id\"          value=\"$preferences_id\"/>\n";
print "<input type=\"hidden\" name=\"im_options_id\"           value=\"$im_options_id\"/>\n";
print "<input type=\"hidden\" name=\"im_composite_options_id\" value=\"$im_composite_options_id\"/>\n";
print "<input type=\"hidden\" name=\"dcraw_options_id\"        value=\"$dcraw_options_id\"/>\n";
print "<input type=\"hidden\" name=\"type\"                    value=\"$type\"/>\n";
print "<input type=\"hidden\" name=\"selector\"                value=\"$selector\"/>\n";
print "<input type=\"hidden\" name=\"save_settings\"           value=\"true\"/>\n";

print "&nbsp;<br/>";

switch ($selector) {
 case $settings_user_data['identification']['idx']:
   print "<table cellspacing=\"1\" cellpadding=\"3\" border=\"0\" bgcolor=\"$color[table_background]\" width=\"100%\">\n";
   print "<tr><td align=\"right\" bgcolor=\"$color[table_header]\"  width=\"30%\" nowrap><b>Username</b></td>       <td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"70%\"><input type=\"text\"     name=\"username\"   value=\"$username\"   size=\"35%\"/></td></tr>\n";
   print "<tr><td align=\"right\" bgcolor=\"$color[table_header]\"  width=\"30%\" nowrap><b>Password</b></td>       <td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"70%\"><input type=\"password\" name=\"password_1\" value=\"$password_1\" size=\"35%\"/></td></tr>\n";
   print "<tr><td align=\"right\" bgcolor=\"$color[table_header]\"  width=\"30%\" nowrap><b>Retype password</b></td><td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"70%\"><input type=\"password\" name=\"password_2\" value=\"$password_2\" size=\"35%\"/></td></tr>\n";
   print "<tr><td align=\"right\" bgcolor=\"$color[table_header]\"  width=\"30%\" nowrap><b>First name</b></td>     <td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"70%\"><input type=\"text\"     name=\"first_name\" value=\"$first_name\" size=\"35%\"/></td></tr>\n";
   print "<tr><td align=\"right\" bgcolor=\"$color[table_header]\"  width=\"30%\" nowrap><b>Last name</b></td>      <td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"70%\"><input type=\"text\"     name=\"last_name\"  value=\"$last_name\"  size=\"35%\"/></td></tr>\n";
   print "<tr><td align=\"right\" bgcolor=\"$color[table_header]\"  width=\"30%\" nowrap><b>Email</b></td>          <td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"70%\"><input type=\"text\"     name=\"email\"      value=\"$email\"      size=\"35%\"/></td></tr>\n";
   print "</table>\n";
   break;
 case $settings_user_data['contact']['idx']:
   print "<table cellspacing=\"1\" cellpadding=\"3\" border=\"0\" bgcolor=\"$color[table_background]\" width=\"100%\">\n";
   print "<tr><td align=\"right\" bgcolor=\"$color[table_header]\"  width=\"30%\" nowrap>Url</td>            <td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"70%\"><input type=\"text\" name=\"url\"     value=\"$url\" size=\"35%\"/></td></tr>\n";
   print "<tr><td align=\"right\" bgcolor=\"$color[table_header]\"  width=\"30%\" nowrap>Phone</td>          <td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"70%\"><input type=\"text\" name=\"phone\"   value=\"$phone\" size=\"35%\"/></td></tr>\n";
   print "<tr><td align=\"right\" bgcolor=\"$color[table_header]\"  width=\"30%\" nowrap>Company</td>        <td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"70%\"><input type=\"text\" name=\"company\" value=\"$company\" size=\"35%\"/></td></tr>\n";
   print "<tr><td align=\"right\" bgcolor=\"$color[table_header]\"  width=\"30%\" nowrap>Address</td>        <td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"70%\">";
   print "<table cellspacing=0 cellpadding=0><tr><td>";
   print "<input type=\"text\" name=\"address1\" value=\"$address1\" size=\"35%\"/>";
   print "</td></tr><tr><td height=6></td></tr><tr><td>";
   print "<input type=\"text\" name=\"address2\" value=\"$address2\" size=\"35%\"/>";
   print "</td></tr></table>";
   print "</td></tr>\n";
   print "<tr><td align=\"right\" bgcolor=\"$color[table_header]\"  width=\"30%\" nowrap>City</td>           <td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"70%\"><input type=\"text\" name=\"city\"    value=\"$city\" size=\"35%\"/></td></tr>\n";
   print "<tr><td align=\"right\" bgcolor=\"$color[table_header]\"  width=\"30%\" nowrap>Zipcode</td>        <td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"70%\"><input type=\"text\" name=\"zipcode\" value=\"$zipcode\" size=\"35%\"/></td></tr>\n";
   print "<tr><td align=\"right\" bgcolor=\"$color[table_header]\"  width=\"30%\" nowrap>State</td>          <td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"70%\">"; display_combo("state", $all_states, $state, "", 0); print"</td></tr>\n";
   print "<tr><td align=\"right\" bgcolor=\"$color[table_header]\"  width=\"30%\" nowrap>Country</td>        <td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"70%\">"; display_combo("country", $all_countries, $country, "", 0); print"</td></tr>\n";
   print "</table>\n";
   break;
 case $settings_user_data['calendar']['idx']:
   print "<table cellspacing=\"1\" cellpadding=\"3\" border=\"0\" bgcolor=\"$color[table_background]\" width=\"100%\">\n";
   print "<tr><td align=\"right\" bgcolor=\"$color[table_header]\"  nowrap>Week begins with</td> <td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"70%\">";
   display_first_day_combo("start_day", $start_day);
   print "</td></tr>\n";
   print "<tr><td align=\"right\" bgcolor=\"$color[table_header]\"  width=\"30%\" nowrap>Start hour</td> <td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"70%\">";
   display_hour_combo("start_hour", $start_hour, "");
   print "</td></tr>\n";
   print "<tr><td align=\"right\" bgcolor=\"$color[table_header]\"  width=\"30%\" nowrap>End hour</td> <td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"70%\">";
   display_hour_combo("end_hour", $end_hour, "");
   print "</td></tr>\n";
   print "<tr><td align=\"right\" bgcolor=\"$color[table_header]\"  width=\"30%\" nowrap>Download Counter</td> <td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"70%\">";
   display_download_counter_combo("download_counter", $download_counter);
   print "</td></tr>\n";
   print "<tr><td align=\"right\" bgcolor=\"$color[table_header]\"  width=\"30%\" nowrap>Download Expiry Period</td> <td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"70%\">";
   display_download_expiry_date_combo("download_expiry_period", $download_expiry_period);
   print "</td></tr>\n";

   print "</table>\n";
   break;
 case $settings_user_data['search']['idx']:
   print "<table cellspacing=\"1\" cellpadding=\"3\" border=\"0\" bgcolor=\"$color[table_background]\" width=\"100%\">\n";
   print "<tr><td align=\"right\" bgcolor=\"$color[table_header]\"  nowrap>Default Engine Type</td> <td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"70%\">";
   display_search_engine_type_combo("search_engine_type", $search_engine_type);
   print "</td></tr>\n";
   print "<tr><td align=\"right\" bgcolor=\"$color[table_header]\"  width=\"30%\" nowrap>Enable Stemming</td> <td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"70%\">";
   display_yes_no_combo("search_enable_stemming", $search_enable_stemming);
   print "</td></tr>\n";
   print "</table>\n";
   break;
 case $settings_user_data['photo_browser']['idx']:
   print "<table cellspacing=\"1\" cellpadding=\"3\" border=\"0\" bgcolor=\"$color[table_background]\" width=\"100%\">\n";
   print "<tr><td align=\"right\" bgcolor=\"$color[table_header]\"  width=\"40%\" nowrap>Default folder view</td>    <td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"60%\">";
   display_folder_view_combo("folder_view", $folder_view);
   print "</td></tr>\n";
   print "<tr><td align=\"right\" bgcolor=\"$color[table_header]\"  width=\"40%\" nowrap>Number of columns in slide view mode</td> <td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"60%\">";
   display_num_of_columns_combo("num_of_columns", $num_of_columns);
   print "</td></tr>\n";
   print "<tr><td align=\"right\" bgcolor=\"$color[table_header]\"  width=\"40%\" nowrap>Number of rows in slide view mode</td>    <td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"60%\">";
   display_num_of_rows_combo("num_of_rows", $num_of_rows, $maximum_num_of_rows_in_slide_view);
   print "</td></tr>\n";
   print "<tr><td align=\"right\" bgcolor=\"$color[table_header]\"  width=\"40%\" nowrap>Number of rows in list view mode</td>    <td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"60%\">";
   display_num_of_rows_combo("num_of_rows_l", $num_of_rows_l, $maximum_num_of_rows_in_list_view);
   print "</td></tr>\n";
   print "<tr><td align=\"right\" bgcolor=\"$color[table_header]\"  width=\"40%\" nowrap>Popup photo info</td><td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"60%\">";
   display_popup_delay_combo("popup_enable", $popup_delay, $popup_enable);
   print "</td></tr>\n";
   print "</table>\n";
   break;
 case $settings_user_data['photo_upload']['idx']:
   if ($type >= $user_type['user']) {

     /* PHOTO UPLOAD OPTINS */
     print "<p>";
     print "<table cellspacing=\"1\" cellpadding=\"3\" border=\"0\" bgcolor=\"$color[table_background]\" width=\"100%\">\n";
     print "<tr><td align=\"left\" bgcolor=\"$color[table_top]\" colspan=\"3\">";
     print "<table cellspacing=\"0\" cellpadding=\"0\" width=\"100%\"><tr><td align=\"left\" bgcolor=\"$color[table_top]\" width=\"30%\" nowrap>Photo Upload Options</td>";
     print "<td align=\"center\" valign=\"bottom\" bgcolor=\"$color[table_top]\"  width=\"35%\">Thumbnail</td>";
     print "<td align=\"center\" valign=\"bottom\" bgcolor=\"$color[table_top]\"  width=\"35%\">Preview</td>";
     print "</tr></table>\n";
     print "</td></tr>\n";

     print "<tr><td align=\"right\" bgcolor=\"$color[table_header]\"  width=\"30%\" nowrap>Quality";
     print "</td><td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"35%\">";
     display_im_quality_combo("im_thumb_quality", $im_thumb_quality);
     print "</td><td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"35%\">";
     display_im_quality_combo("im_preview_quality", $im_preview_quality);
     print "</td></tr>\n";

     print "<tr><td align=\"right\" bgcolor=\"$color[table_header]\"  width=\"30%\" nowrap>Color Space";
     print "</td><td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"35%\">";
     display_im_colorspace_combo("im_thumb_color_space", $im_thumb_color_space);
     print "</td><td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"35%\">";
     display_im_colorspace_combo("im_preview_color_space", $im_preview_color_space);
     print "</td></tr>\n";

     print "<tr><td align=\"right\" bgcolor=\"$color[table_header]\"  width=\"30%\" nowrap>Gamma";
     print "</td><td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"35%\">";
     display_im_gamma_combo("im_thumb_gamma", $im_thumb_gamma);
     print "</td><td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"35%\">";
     display_im_gamma_combo("im_preview_gamma", $im_preview_gamma);
     print "</td></tr>\n";

     print "<tr><td align=\"right\" bgcolor=\"$color[table_header]\"  width=\"30%\" nowrap>Sharpen <b>radius x</b> <b>sigma</b> + <b>amount</b> + <b>threshold</b>";
     print "</td><td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"35%\">";
     display_im_sharpen_combo("im_thumb_sharpen_radius", $im_thumb_sharpen_radius);
     print " x ";
     display_im_sharpen_combo("im_thumb_sharpen_sigma", $im_thumb_sharpen_sigma);
     print " + ";
     display_im_amount_combo("im_thumb_sharpen_amount", $im_thumb_sharpen_amount);
     print " + ";
     display_im_threshold_combo("im_thumb_sharpen_threshold", $im_thumb_sharpen_threshold);
     print "</td><td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"35%\">";
     display_im_sharpen_combo("im_preview_sharpen_radius", $im_preview_sharpen_radius);
     print " x ";
     display_im_sharpen_combo("im_preview_sharpen_sigma", $im_preview_sharpen_sigma);
     print " + ";
     display_im_amount_combo("im_preview_sharpen_amount", $im_preview_sharpen_amount);
     print " + ";
     display_im_threshold_combo("im_preview_sharpen_threshold", $im_preview_sharpen_threshold);
     print "</td></tr>\n";

     print "<tr><td align=\"right\" bgcolor=\"$color[table_header]\"  width=\"30%\" nowrap>Border widht x height";
     print "</td><td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"35%\">";
     display_im_border_combo("im_thumb_border_width", $im_thumb_border_width);
     print " x ";
     display_im_border_combo("im_thumb_border_height", $im_thumb_border_height);
     print "</td><td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"35%\">";
     display_im_border_combo("im_preview_border_width", $im_preview_border_width);
     print " x ";
     display_im_border_combo("im_preview_border_height", $im_preview_border_height);
     print "</td></tr>\n";

     print "<tr><td align=\"right\" bgcolor=\"$color[table_header]\"  width=\"30%\" nowrap>Border Color";
     print "</td><td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"35%\">";
     display_im_color_combo("im_thumb_border_color", $im_thumb_border_color);
     print "</td><td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"35%\">";
     display_im_color_combo("im_preview_border_color", $im_preview_border_color);
     print "</td></tr>\n";

     print "<tr><td align=\"right\" bgcolor=\"$color[table_header]\"  width=\"30%\" nowrap>Quality";
     print "</td><td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"35%\">";
     display_im_quality_combo("im_thumb_quality", $im_thumb_quality);
     print "</td><td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"35%\">";
     display_im_quality_combo("im_preview_quality", $im_preview_quality);
     print "</td></tr>\n";

     print "<tr><td align=\"right\" bgcolor=\"$color[table_header]\"  width=\"30%\" nowrap>Color Space";
     print "</td><td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"35%\">";
     display_im_colorspace_combo("im_thumb_color_space", $im_thumb_color_space);
     print "</td><td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"35%\">";
     display_im_colorspace_combo("im_preview_color_space", $im_preview_color_space);
     print "</td></tr>\n";

     print "</table>\n";
     print "</p>";

     /* DCRAW OPTIONS */
     print "<p>";
     print "<table cellspacing=\"1\" cellpadding=\"3\" border=\"0\" bgcolor=\"$color[table_background]\" width=\"100%\">\n";
     print "<tr><td align=\"left\" bgcolor=\"$color[table_top]\" colspan=\"3\">DCRAW Options</td></tr>\n";

     print "<tr><td align=\"right\" bgcolor=\"$color[table_header]\"  width=\"30%\" nowrap>Gamma";
     print "</td><td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"70%\">";
     display_dcraw_float_resolution_combo("dcraw_gamma", $dcraw_gamma, 3);
     print "</td></tr>\n";

     print "<tr><td align=\"right\" bgcolor=\"$color[table_header]\"  width=\"30%\" nowrap>Brightness";
     print "</td><td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"70%\">";
     display_dcraw_float_resolution_combo("dcraw_brightness", $dcraw_brightness, 3);
     print "</td></tr>\n";

     print "<tr><td align=\"right\" bgcolor=\"$color[table_header]\"  width=\"30%\" nowrap>White Balance";
     print "</td><td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"70%\">";
     display_dcraw_white_balance_combo("dcraw_white_balance", $dcraw_white_balance);
     print "</td></tr>\n";

     print "<tr><td align=\"right\" bgcolor=\"$color[table_header]\"  width=\"30%\" nowrap>Bitdepth";
     print "</td><td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"70%\">";
     display_dcraw_bitdepth_combo("dcraw_bitdepth", $dcraw_bitdepth);
     print "</td></tr>\n";

     print "</table>\n";
     print "</p>";


     /* WATERMARKING OPTIONS */
     print "<p>";
     print "<table cellspacing=\"1\" cellpadding=\"3\" border=\"0\" bgcolor=\"$color[table_background]\" width=\"100%\">\n";
     print "<tr><td align=\"left\" bgcolor=\"$color[table_top]\" colspan=\"3\">Watermarking Options</td></tr>\n";

     print "<tr><td align=\"right\" bgcolor=\"$color[table_header]\"  width=\"30%\" nowrap>Watermark Brightness";
     print "</td><td align=\"left\" bgcolor=\"$color[table_body]\" width=\"70%\">";
     display_im_watermark_brightness("im_watermark_brightness", $im_watermark_brightness);
     print "</td></tr>\n";

     print "<tr><td align=\"right\" bgcolor=\"$color[table_header]\"  width=\"30%\" nowrap>Watermark Mask";
     print "</td><td align=\"left\" bgcolor=\"$color[table_body]\" width=\"70%\">";
     display_im_watermark_mask_location("im_watermark_location", $im_watermark_location);
     print "</td></tr>\n";

     if ($im_watermark_photo_version) {
       print "<tr><td align=\"right\" bgcolor=\"$color[table_header]\"  width=\"30%\" nowrap>Current Watermark";
       print "</td><td align=\"left\" bgcolor=\"$color[table_body]\" width=\"70%\">";
       print "<a class=\"nodecor\" href=\"photo.php?photo=$im_watermark_photo_version\"><img src=\"image.display.php?image=$im_watermark_photo_version&amp;size=1\" alt=\"watermark\"/></a>";
       print "</td></tr>\n";
     }
     print "</table>\n";
     print "</p>";
   }
   break;
 case $settings_user_data['printer']['idx']:
   if ($type >= $user_type['user']) {
     print "<table cellspacing=\"1\" cellpadding=\"3\" border=\"0\" bgcolor=\"$color[table_background]\" width=\"100%\">\n";
     print "<tr><td align=\"right\" bgcolor=\"$color[table_header]\"  width=\"30%\" nowrap>Default print format</td> <td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"70%\">";
     display_print_format_combo("print_out", $print_out);
     print "</td></tr>\n";
     print "<tr><td align=\"right\" bgcolor=\"$color[table_header]\"  width=\"30%\" nowrap>Default paper</td> <td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"70%\">";
     display_combo("paper", $all_papers, $paper, ", ", 1);
     print "</td></tr>\n";
     print "<tr><td align=\"right\" bgcolor=\"$color[table_header]\"  width=\"30%\" nowrap>Default label</td> <td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"70%\">";
     display_combo("label", $all_labels, $label, ", ", 1);
     print "</td></tr>\n";
     print "</table>\n";
   }
}

print "&nbsp;<br/>\n";
print "<input type=\"image\" src=\"$theme/button.save.changes.gif\" value=\"Save Changes\"/>\n";
print "</form>\n";

display_navigator_box_bottom("100%");
print "&nbsp;<br/>";

print "<script language=\"JavaScript\" type=\"text/javascript\" src=\"javascript/wz_tooltip.js\"></script>";
site_footer($database);
site_epilog($database);
?>
