<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2006 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/site.php";
include_once "$theme/theme.php";
include_once "include/common.php";

$database   = site_prolog();

if ($po_user['type'] < $user_type['user']) {
  site_epilog($database);
  header("location: login.php");
  exit();
}

$client_id = pg_escape_string($_REQUEST['client']);

$result = pg_fetch_row(pg_query($database, " select identifier, client, last_name, first_name, date_of_creation, value, trusted, users from view_client where users=$po_user[id] and identifier=$client_id"));

/* Ensure the user owns it !*/
if (($po_user['id'] != $result[7]) &&
    ($po_user['type'] < $user_type['administrator'])) {
    site_epilog($database);
    header("location: login.php");
    exit();
 }

$all_client_states = pg_query($database, " select identifier, value from client_status where identifier!=4");

site_header($page_width, "Edit Client");
site_navigator(8);
site_navigator_status("<a href=\"user.php\">Users</a> : <a href=\"my.datebook.php\">My Date Book</a> : Edit client status", "");
print "&nbsp;<br/>\n";
print "<form method=\"post\" action=\"client.edit.2.php\">";
print "<table width=\"100%\">\n";
print "<tr><td align=\"center\">";
print "<input type=\"hidden\" name=\"client\" value=\"$result[0]\"/>";

print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
print "<tr bgcolor=\"$color[table_top]\">\n";
print "<td align=\"left\" bgcolor=\"$color[table_top]\" colspan=\"4\"><font class=\"tabletop\">Edit Client Status</font></td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"40%\">Client Name</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"20%\">Registration Date</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"20%\">Status</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"20%\">Trusted</td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >";
print "<a href=\"user.php?user=$result[1]\">$result[2], $result[3]</a></td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >".generate_date_html($result[4], 'date', $po_user['id']  == "" ? 0 : 1)."</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >";

print "<select name=\"status\">";
$num = pg_num_rows($all_client_states);
for ($i=0; $i < $num; $i++) {
  $value = pg_fetch_row($all_client_states, $i);
  if ($value[1] == $result[5]) {
    print "<option value=\"$value[0]\" selected>$value[1]";
  }
  else {
    print "<option value=\"$value[0]\">$value[1]";
  }
}
print "</select></td>";

print "<td align=\"left\" bgcolor=\"$color[table_body]\" >";
display_yes_no_combo("trusted", $result[6]);
print "</td></tr>\n";
print "</table>\n";

print "</td></tr>";
print "<tr><td align=\"center\">&nbsp;<br/>";
print "<input type=\"image\" src=\"$theme/button.save.changes.gif\" border=\"0\" value=\"Save Changes\"/>";
print "<a class=\"nodecor\" href=\"my.datebook.php\"><img src=\"$theme/button.cancel.gif\" border=\"0\" alt=\"Cancel\"/></a>";
print "</td></tr>";
print "</table>\n";
print "</form>";
site_footer($database);
site_epilog($database);
?>
