<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2006 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/site.php";
include_once "$theme/theme.php";
$database   = site_prolog();

$event = pg_escape_string($_REQUEST['event']);

if ($po_user['type'] < $user_type['user']) {
  site_epilog($database);
  header("location: login.php");
  exit();
}

$current = pg_fetch_row(pg_query($database, "select users from calendar where identifier = $event"));

if ($po_user['id'] != $current[0]) {
  site_epilog($database);
  header("location: login.php");
  exit();
}

$year  = (int)$_REQUEST['year'];
$month = (int)$_REQUEST['month'];
$day   = (int)$_REQUEST['day'];

$start_hour   = (int)$_REQUEST['start_hour'];
$start_minute = (int)$_REQUEST['start_minute'];
$end_hour     = (int)$_REQUEST['end_hour'];
$end_minute   = (int)$_REQUEST['end_minute'];

if ($start_hour > $end_hour) {
  $end_hour = $start_hour;
}

if (($start_hour == $end_hour) && ($start_minute == $end_minute)) {
  $end_minute = $start_minute;
}

$remark = pg_escape_string($_REQUEST['remark']);

$start_date = pg_escape_string("$year-$month-$day $start_hour:$start_minute:00");
$end_date   = pg_escape_string("$year-$month-$day $end_hour:$end_minute:00");

pg_query($database, "update calendar set start_date='$start_date', end_date='$end_date', remark='$remark' where identifier=$event");

site_epilog($database);
header("location: my.datebook.php?view=1&year=$year&month=$month&day=$day");
?>
