<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2006 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/profile.php";
include_once "include/site.php";
include_once "$theme/theme.php";
include_once "include/common.php";

$database = site_prolog();

if ($po_user['type'] < $user_type['user']) {
  site_epilog($database);
  header("location: login.php");
  exit();
}

$manufacturer_id=pg_escape_string($_REQUEST['item']);
$manufacturer = pg_fetch_row(pg_query($database, "select name, url, users from manufacturer where identifier=$manufacturer_id"));

/* Ensure the user owns it !*/
if (($po_user['id'] != $manufacturer[2]) &&
    ($po_user['type'] < $user_type['administrator'])) {
  site_epilog($database);
  header("location: login.php");
  exit();
 }

site_header($page_width, "Edit Manufacturer");
site_navigator(6);
site_navigator_status("<a href=\"user.php\">Users</a> : <a href=\"my.profile.php?\">My Profile</a> : Edit Manufacturer", "");


print "&nbsp;<br/>";
display_navigator_box_top($profile_data['manufacturer']['idx'], $profile_data, "100%");

print "&nbsp;<br/>";
print "<form method=\"post\" action=\"manufacturer.edit.2.php\">";
print "<input type=\"hidden\" name=\"manufacturer\" value=\"$manufacturer_id\"/><p>";
print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
print "<tr>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"35%\">Name</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"65%\">URL</td>\n";
print "</tr>";
print "<tr>";
print "<td bgcolor=\"$color[table_body]\" ><input type=\"text\" name=\"manufacturer_name\" value=\"$manufacturer[0]\" size=\"35%\"/></td>";
print "<td bgcolor=\"$color[table_body]\" ><input type=\"text\" name=\"manufacturer_url\"  value=\"$manufacturer[1]\" size=\"65%\"/></td>";
print "</tr>";
print "</table>";

print "&nbsp;<br/>";
print "<input type=\"image\" src=\"$theme/button.save.changes.gif\" border=\"0\" value=\"Save Changes\"/>";
print "<a class=\"nodecor\" href=\"my.profile.php?selector=".$profile_data['manufacturer']['idx']."\"><img src=\"$theme/button.cancel.gif\" border=\"0\" alt=\"Cancel\"/></a>";
print "</form>";

display_navigator_box_bottom("100%");
print "&nbsp;<br/>";

site_footer($database);
site_epilog($database);
?>
