<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2006 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "$theme/theme.php";
include_once "include/common.php";
include_once "include/site.php";
include_once "include/profile.php";

$selector = $_REQUEST['selector'];
if (!$selector) {
  $selector = 1;
}

$database = site_prolog();

if ($po_user['type'] < $user_type['user']) {
  site_epilog($database);
  header("location: login.php");
  exit();
}

site_header($page_width, "Display Profile");
site_navigator(6);
site_navigator_status("<a href=\"user.php\">Users</a> : My Profile", "");

print "&nbsp;<br/>";
display_navigator_box_top($selector, $profile_data, "100%");
print "&nbsp;<br/>";

switch ($selector) {
 case $profile_data['lens']['idx']:
   display_lens($database, $po_user['id'], $po_user['id']);
   break;
 case $profile_data['camera']['idx']:
   display_camera($database, $po_user['id'], $po_user['id']);
   break;
 case $profile_data['flash']['idx']:
   display_profile($database, "flash", $po_user['id'], $po_user['id']);
   break;
 case $profile_data['scanner']['idx']:
   display_profile($database, "scanner", $po_user['id'], $po_user['id']);
   break;
 case $profile_data['filter']['idx']:
   display_profile($database, "filter", $po_user['id'], $po_user['id']);
   break;
 case $profile_data['film']['idx']:
   display_film($database, $po_user['id'], $po_user['id']);
   break;
 case $profile_data['support']['idx']:
   display_profile($database, "support", $po_user['id'], $po_user['id']);
   break;
 case $profile_data['manufacturer']['idx']:
   display_manufacturer($database, $po_user['id'], $po_user['id']);
   break;
 case $profile_data['label']['idx']:
   display_label($database, $po_user['id'], $po_user['id']);
   break;
 case $profile_data['shop']['idx']:
   display_shop_categories($database, $po_user['id'], $po_user['id']);
   print "<p></p>";
   display_shop_items($database, $po_user['id'], $po_user['id']);
   break;
 case $profile_data['location']['idx']:
   display_location($database, $po_user['id']);
   break;
}

display_navigator_box_bottom("100%");
print "&nbsp;<br/>";
site_footer($database);
site_epilog($database);
?>
