<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2006 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "$theme/theme.php";
include_once "include/common.php";
include_once "include/site.php";

$photo_id         = pg_escape_string($_REQUEST['photo']);
$storage_location = pg_escape_string($_REQUEST['storage_location']);
$storage_index    = pg_escape_string($_REQUEST['storage_index']);
$remark           = pg_escape_string($_REQUEST['remark']);
$date_of_creation = check_date_validity($_REQUEST['creation_timestamp']);

$database = site_prolog();

if ($po_user['type'] < $user_type['user']) {
  site_epilog($database);
  header("location: login.php");
  exit();
}

/* Check photo owner */
$data = pg_fetch_row(pg_query($database, "select users from photo where identifier = $photo_id"));

/* Ensure mere users don't move/mangle a photo that isn't theirs! */
if ($data[0] != $po_user['id'] && 
    $po_user['type'] < $user_type['administrator']) {
  site_epilog($database);
  header("location: login.php");
  exit();
 }

$key = pg_fetch_row(pg_query($database, "select max(key) from photo_dupe where photo=$photo_id"));
$key[0] = $key[0] + 1;
pg_query($database, "insert into photo_dupe (identifier, key, photo, date_of_creation, storage_location, storage_index, remark)
                     values (nextval('photo_dupe_id_sequence'), '$key[0]', '$photo_id', $date_of_creation, '$storage_location', '$storage_index', '$remark')");

site_epilog($database);
header("location: photo.php?photo=$photo_id&detail_info=3");
?>
