<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2006 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "$theme/theme.php";
include_once "include/common.php";
include_once "include/site.php";

$database = site_prolog();

if ($po_user['type'] < $user_type['user']) {
  site_epilog($database);
  header("location: login.php");
  exit();
 }

$photo_id = pg_escape_string($_REQUEST['photo']);
$client = pg_escape_string($_REQUEST['client']);
if ($client == "") {
  header("location: photo.php?photo=$photo_id&detail_info=4");
  exit();
}

$photo_dupe_id      = pg_escape_string($_REQUEST['photo_dupe']);
$submission_status  = pg_escape_string($_REQUEST['submission_status']);
$remark             = pg_escape_string($_REQUEST['remark']);

$submission_date  = check_date_validity($_REQUEST['submission_timestamp']);

pg_query($database, "insert into submission (identifier, photo_dupe, status, users, date_of_creation, remark)
                     values (nextval('submission_id_sequence'), '$photo_dupe_id', '$submission_status', $client, $submission_date, '$remark')");

site_epilog($database);
header("location: photo.php?photo=$photo_id&detail_info=4");
?>
