
--  Copyright (C) 2002, 2003, 2004, 2005, 2006 Balint Kis (balint@k-i-s.net)

--  This program is free software; you can redistribute it and/or modify
--  it under the terms of the GNU General Public License as published by
--  the Free Software Foundation; either version 2 of the License, or
--  (at your option) any later version.

--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--  GNU General Public License for more details.

--  You should have received a copy of the GNU General Public License
--  along with this program; if not, write to the Free Software
--  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

----------------------------------------------------------
-- v2.5 to v2.6 patch
----------------------------------------------------------

-- version upldate
update version set identifier=3, description='2.6 customer release', major=2, minor=6, variation='C';

-- set bulk upload flag to false for everybody except the administrator
update preferences set bulk_upload_enable='f';
update preferences set bulk_upload_enable='t' where identifier = (select preferences from users where type=4);
update preferences set paper='13';
update preferences set label='17';

-- set the photo view flag to null for each photo
update photo set views=0;

-- remove the second mark from the shutter speeds
update shutter set value='60'     where identifier=1;
update shutter set value='30'     where identifier=2;
update shutter set value='25'     where identifier=3;
update shutter set value='20'     where identifier=4;
update shutter set value='15'     where identifier=5;
update shutter set value='13'     where identifier=6;
update shutter set value='10'     where identifier=7;
update shutter set value='8'      where identifier=8;
update shutter set value='6'      where identifier=9;
update shutter set value='5'      where identifier=10;
update shutter set value='4'      where identifier=11;
update shutter set value='3'      where identifier=12;
update shutter set value='2.5'    where identifier=13;
update shutter set value='2'      where identifier=14;
update shutter set value='1.6'    where identifier=15;
update shutter set value='1.3'    where identifier=16;
update shutter set value='1'      where identifier=17;
update shutter set value='1/1.3'  where identifier=18;
update shutter set value='1/1.6'  where identifier=19;
update shutter set value='1/2.0'  where identifier=20;
update shutter set value='1/2.5'  where identifier=21;
update shutter set value='1/3'    where identifier=22;
update shutter set value='1/4'    where identifier=23;
update shutter set value='1/5'    where identifier=24;
update shutter set value='1/6'    where identifier=25;
update shutter set value='1/8'    where identifier=26;
update shutter set value='1/10'   where identifier=27;
update shutter set value='1/13'   where identifier=28;
update shutter set value='1/15'   where identifier=29;
update shutter set value='1/20'   where identifier=30;
update shutter set value='1/25'   where identifier=31;
update shutter set value='1/30'   where identifier=32;
update shutter set value='1/40'   where identifier=33;
update shutter set value='1/50'   where identifier=34;
update shutter set value='1/60'   where identifier=35;
update shutter set value='1/80'   where identifier=36;
update shutter set value='1/100'  where identifier=37;
update shutter set value='1/125'  where identifier=38;
update shutter set value='1/160'  where identifier=39;
update shutter set value='1/200'  where identifier=40;
update shutter set value='1/250'  where identifier=41;
update shutter set value='1/320'  where identifier=42;
update shutter set value='1/400'  where identifier=43;
update shutter set value='1/500'  where identifier=44;
update shutter set value='1/640'  where identifier=45;
update shutter set value='1/800'  where identifier=46;
update shutter set value='1/1000' where identifier=47;
update shutter set value='1/1250' where identifier=48;
update shutter set value='1/1600' where identifier=49;
update shutter set value='1/2000' where identifier=50;
update shutter set value='1/2500' where identifier=51;
update shutter set value='1/3200' where identifier=52;
update shutter set value='1/4000' where identifier=53;
update shutter set value='1/5000' where identifier=54;
update shutter set value='1/6400' where identifier=55;
update shutter set value='1/8000' where identifier=56;

-- insert the missing ev_comp values
insert into ev_comp values (nextval('ev_comp_id_sequence'), '0.3');
insert into ev_comp values (nextval('ev_comp_id_sequence'), '0.5');
insert into ev_comp values (nextval('ev_comp_id_sequence'), '0.7');
insert into ev_comp values (nextval('ev_comp_id_sequence'), '1');

-- shift all existing ev comensation references
update photo_tech set exposure_comp=exposure_comp+4 where exposure_comp >21;
update photo_tech set flash_comp=flash_comp+4 where flash_comp >21;
update photo_tech set ev_difference=ev_difference+4 where ev_difference >21;

-- reset ev compensation values so that they appear in the sequence they should
update ev_comp set value='0.3' where identifier=22;
update ev_comp set value='0.5' where identifier=23;
update ev_comp set value='0.7' where identifier=24;
update ev_comp set value='1'   where identifier=25;
update ev_comp set value='1.3' where identifier=26;
update ev_comp set value='1.5' where identifier=27;
update ev_comp set value='1.7' where identifier=28;
update ev_comp set value='2'   where identifier=29;
update ev_comp set value='2.3' where identifier=30;
update ev_comp set value='2.5' where identifier=31;
update ev_comp set value='2.7' where identifier=32;
update ev_comp set value='3'   where identifier=33;
update ev_comp set value='3.3' where identifier=34;
update ev_comp set value='3.5' where identifier=35;
update ev_comp set value='3.7' where identifier=36;
update ev_comp set value='4'   where identifier=37;
update ev_comp set value='4.3' where identifier=38;
update ev_comp set value='4.5' where identifier=39;
update ev_comp set value='4.7' where identifier=40;
update ev_comp set value='5'   where identifier=41;

-- insert system preferences

insert into system_preferences values (1, 2, 'f', 13, 17);
